Bug 138291 - Error: missing dep: /usr/lib/python2.3 for pkg libxml2-python
Error: missing dep: /usr/lib/python2.3 for pkg libxml2-python
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-07 11:53 EST by Florian Effenberger
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-30 10:20:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Effenberger 2004-11-07 11:53:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7.5)
Gecko/20041104 Firefox/1.0RC2

Description of problem:
When running yum update, I receive

Error: missing dep: /usr/lib/python2.3 for pkg libxml2-python

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. yum update
    

Additional info:
Comment 1 Robert Scheck 2004-11-07 17:48:00 EST
This problem is caused, because Python 2.4 beta is pushed to Rawhide, 
I guess. Hopefully, Python also allows such a nice solution like perl 
has it for backward compatibility...
Comment 2 Bernhard Erdmann 2004-11-07 17:52:08 EST
me too

# yum -y update
Setting up Update Process
Setting up Repo:  development
repomd.xml                100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
developmen: ################################################## 3558/3558
Excluding Packages in global exclude list
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package gstreamer-tools.i386 0:0.8.7-5 set to be updated
---> Package libtool-libs.i386 0:1.5.10-1 set to be updated
---> Package gstreamer.i386 0:0.8.7-5 set to be updated
---> Package cyrus-sasl-devel.i386 0:2.1.20-1 set to be updated
---> Package emacs.i386 0:21.3-18 set to be updated
---> Package sendmail.i386 0:8.13.1-2.1 set to be updated
---> Package libstdc++-devel.i386 0:3.4.2-8 set to be updated
---> Package libf2c.i386 0:3.4.2-8 set to be updated
---> Package gtk2-devel.i386 0:2.4.13-11 set to be updated
---> Package coreutils.i386 0:5.2.1-32 set to be updated
---> Package libgcj-devel.i386 0:3.4.2-8 set to be updated
---> Package dbus-x11.i386 0:0.22-11 set to be updated
---> Package gnome-panel.i386 0:2.8.1-4 set to be updated
---> Package librsvg2.i386 0:2.8.1-2 set to be updated
---> Package libgcc.i386 0:3.4.2-8 set to be updated
---> Package glibc.i686 0:2.3.3-75 set to be updated
---> Package xscreensaver.i386 1:4.18-6 set to be updated
---> Package xpdf.i386 1:3.00-12 set to be updated
---> Package udev.i386 0:042-1 set to be updated
---> Package gcc-c++.i386 0:3.4.2-8 set to be updated
---> Package tetex-latex.i386 0:2.0.2-23 set to be updated
---> Package cpp.i386 0:3.4.2-8 set to be updated
---> Package emacs-leim.i386 0:21.3-18 set to be updated
---> Package libwmf.i386 0:0.2.8.3-6 set to be updated
---> Package libselinux-devel.i386 0:1.18.1-4 set to be updated
---> Package qt-devel.i386 1:3.3.3-10 set to be updated
---> Package libxml2-devel.i386 0:2.6.15-1 set to be updated
---> Package qt.i386 1:3.3.3-10 set to be updated
---> Package binutils.i386 0:2.15.92.0.2-6 set to be updated
---> Package libxml2-python.i386 0:2.6.15-1 set to be updated
---> Package librsvg2-devel.i386 0:2.8.1-2 set to be updated
---> Package file-roller.i386 0:2.8.3-1 set to be updated
---> Package python.i386 0:2.4-0.b2.1 set to be updated
---> Package gd.i386 0:2.0.32-1 set to be updated
---> Package gnome-user-docs.noarch 0:2.8.1-1 set to be updated
---> Package gnome-utils.i386 1:2.8.0-7 set to be updated
---> Package glibc-headers.i386 0:2.3.3-75 set to be updated
---> Package sound-juicer.i386 0:0.5.14-2 set to be updated
---> Package nc.i386 0:1.10-23 set to be updated
---> Package gnupg.i386 0:1.2.6-2 set to be updated
---> Package gamin.i386 0:0.0.16-1 set to be updated
---> Package mozilla-mail.i386 37:1.7.3-19 set to be updated
---> Package gnome-terminal.i386 0:2.8.0-2 set to be updated
---> Package rsh.i386 0:0.17-24 set to be updated
---> Package gcc.i386 0:3.4.2-8 set to be updated
---> Package mozilla-nss.i386 37:1.7.3-19 set to be updated
---> Package netpbm-devel.i386 0:10.25-3 set to be updated
---> Package gamin-devel.i386 0:0.0.16-1 set to be updated
---> Package procps.i386 0:3.2.3-6 set to be updated
---> Package libxml2.i386 0:2.6.15-1 set to be updated
---> Package gedit.i386 1:2.8.1-2 set to be updated
---> Package elfutils.i386 0:0.97-2 set to be updated
---> Package libgnome.i386 0:2.8.0-3 set to be updated
---> Package gawk.i386 0:3.1.3-10 set to be updated
---> Package gtk2.i386 0:2.4.13-11 set to be updated
---> Package gcc-java.i386 0:3.4.2-8 set to be updated
---> Package grep.i386 0:2.5.1-35 set to be updated
---> Package libgnome-devel.i386 0:2.8.0-3 set to be updated
---> Package pax.i386 0:3.0-10 set to be updated
---> Package emacs-common.i386 0:21.3-18 set to be updated
---> Package dbus-glib.i386 0:0.22-11 set to be updated
---> Package netpbm-progs.i386 0:10.25-3 set to be updated
---> Package ppp.i386 0:2.4.2-7 set to be updated
---> Package amanda.i386 0:2.4.4p4-1 set to be updated
---> Package glibc-devel.i386 0:2.3.3-75 set to be updated
---> Package krb5-libs.i386 0:1.3.5-1 set to be updated
---> Package elfutils-libelf.i386 0:0.97-2 set to be updated
---> Package nautilus-media.i386 0:0.8.1-4 set to be updated
---> Package gstreamer-plugins.i386 0:0.8.5-3 set to be updated
---> Package cpio.i386 0:2.5-9 set to be updated
---> Package gnome-system-monitor.i386 0:2.8.0-1 set to be updated
---> Package mozilla-nspr.i386 37:1.7.3-19 set to be updated
---> Package sendmail-cf.i386 0:8.13.1-2.1 set to be updated
---> Package libuser.i386 0:0.52.6-1 set to be updated
---> Package hotplug.i386 3:2004_04_01-9 set to be updated
---> Package authconfig.i386 0:4.6.5-5 set to be updated
---> Package system-config-securitylevel.i386 0:1.4.17-1 set to be updated
---> Package redhat-menus.noarch 0:3.7-2 set to be updated
---> Package libgnat.i386 0:3.4.2-8 set to be updated
---> Package tetex-fonts.i386 0:2.0.2-23 set to be updated
---> Package amanda-client.i386 0:2.4.4p4-1 set to be updated
---> Package lockdev-devel.i386 0:1.0.1-4 set to be updated
---> Package gnome-audio.noarch 0:2.0.0-2 set to be updated
---> Package selinux-policy-strict.noarch 0:1.18.2-2 set to be updated
---> Package authconfig-gtk.i386 0:4.6.5-5 set to be updated
---> Package libsepol.i386 0:1.2.1-1 set to be updated
---> Package lockdev.i386 0:1.0.1-4 set to be updated
---> Package nss_ldap.i386 0:226-2 set to be updated
---> Package cups.i386 1:1.1.22-1 set to be updated
---> Package kdebase.i386 6:3.3.1-6 set to be updated
---> Package gd-devel.i386 0:2.0.32-1 set to be updated
---> Package gthumb.i386 0:2.6.0.1-1 set to be updated
---> Package gnome-media.i386 0:2.8.0-4 set to be updated
---> Package cyrus-sasl-plain.i386 0:2.1.20-1 set to be updated
---> Package docbook-style-xsl.noarch 0:1.66.1-1 set to be updated
---> Package up2date.i386 0:4.3.52-3 set to be updated
---> Package minicom.i386 0:2.00.0-20 set to be updated
---> Package libselinux.i386 0:1.18.1-4 set to be updated
---> Package mkbootdisk.i386 0:1.5.2-4 set to be updated
---> Package libgcj.i386 0:3.4.2-8 set to be updated
---> Package dbus-python.i386 0:0.22-11 set to be updated
---> Package kdelibs.i386 6:3.3.1-4 set to be updated
---> Package automake.noarch 0:1.9.3-1 set to be updated
---> Package gimp.i386 2:2.2-0.0.pre1.1 set to be updated
---> Package libuser-devel.i386 0:0.52.6-1 set to be updated
---> Package net-tools.i386 0:1.60-39 set to be updated
---> Package jwhois.i386 0:3.2.2-7 set to be updated
---> Package cyrus-sasl-md5.i386 0:2.1.20-1 set to be updated
---> Package initscripts.i386 0:7.93.4-1 set to be updated
---> Package python-devel.i386 0:2.4-0.b2.1 set to be updated
---> Package planner.i386 0:0.12.1-2 set to be updated
---> Package system-config-users.noarch 0:1.2.26-1 set to be updated
---> Package libtool.i386 0:1.5.10-1 set to be updated
---> Package arts.i386 8:1.3.1-3 set to be updated
---> Package krb5-devel.i386 0:1.3.5-1 set to be updated
---> Package dbus.i386 0:0.22-11 set to be updated
---> Package gnome-session.i386 0:2.8.0-6 set to be updated
---> Package gcc-gnat.i386 0:3.4.2-8 set to be updated
---> Package selinux-policy-targeted.noarch 0:1.18.2-1 set to be updated
---> Package slocate.i386 0:2.7-13 set to be updated
---> Package mailx.i386 0:8.1.1-37 set to be updated
---> Package iputils.i386 0:20020927-18 set to be updated
---> Package mozilla.i386 37:1.7.3-19 set to be updated
---> Package setup.noarch 0:2.5.37-2 set to be updated
---> Package tetex-dvips.i386 0:2.0.2-23 set to be updated
---> Package gcc-g77.i386 0:3.4.2-8 set to be updated
---> Package libgnomeprintui22.i386 0:2.8.0-2 set to be updated
---> Package freeciv.i386 0:1.14.2-3 set to be updated
---> Package eject.i386 0:2.0.13-12 set to be updated
---> Package desktop-printing.i386 0:0.17-4 set to be updated
---> Package redhat-artwork.i386 0:0.119-1.2 set to be updated
---> Package netpbm.i386 0:10.25-3 set to be updated
---> Package system-config-securitylevel-tui.i386 0:1.4.17-1 set to be
updated
---> Package vte.i386 0:0.11.11-10 set to be updated
---> Package evolution.i386 0:2.0.2-4 set to be updated
---> Package up2date-gnome.i386 0:4.3.52-3 set to be updated
---> Package gdb.i386 0:6.1post-1.20040607.44 set to be updated
---> Package libstdc++.i386 0:3.4.2-8 set to be updated
---> Package cups-libs.i386 1:1.1.22-1 set to be updated
---> Package glibc-common.i386 0:2.3.3-75 set to be updated
---> Package cyrus-sasl.i386 0:2.1.20-1 set to be updated
---> Package nscd.i386 0:2.3.3-75 set to be updated
---> Package tetex.i386 0:2.0.2-23 set to be updated
--> Running transaction check
--> Processing Dependency: python-abi= 2.3 for package: pyparted
--> Processing Dependency: python-abi= 2.3 for package:
system-config-printer
--> Processing Dependency: python-abi= 2.3 for package: alchemist
--> Processing Dependency: python-abi= 2.3 for package: gnome-python2
--> Processing Dependency: /usr/lib/python2.3 for package: libxml2-python
Importing Additional filelist information for depresolution
developmen: ################################################## 3558/3558
--> Finished Dependency Resolution
Error: missing dep: python-abi for pkg pyparted
Error: missing dep: python-abi for pkg system-config-printer
Error: missing dep: python-abi for pkg alchemist
Error: missing dep: python-abi for pkg gnome-python2
Error: missing dep: /usr/lib/python2.3 for pkg libxml2-python
Comment 3 Daniel Veillard 2004-11-08 16:00:19 EST
I have the feeling this will be fixed by recompiling in rawhide.
I will probably do this when I release libxml2-2.6.16 within a 
couple of days,

Daniel
Comment 4 Daniel Veillard 2004-11-30 10:20:29 EST
The rebuild of libxml2 (and libxslt) in rawhide was done and fixed
this problem.

  thanks,

Daniel

Note You need to log in before you can comment on or make changes to this bug.